function RES=smoothing(ARG,width,step);
% Сглаживание графика - усреднение в окнах шириной step и шагом 1 (если не задан другой шаг)
% Вход  : ARG - исходный вектор
%         width - ширина окна
%         step - шаг окна (если не укказан - 1)
% Выход : RES - результат

if nargin==2
    step=1;
end
[m,n]=size(ARG);

index=1;
indexBegin=1;
indexEnd=indexBegin+width-1;
RES(1,index)=middleArith(ARG(1,indexBegin:indexEnd));
index=index+1;
indexBegin=indexBegin+step;
indexEnd=indexEnd+step;
while indexEnd<=n
    RES(1,index)=middleArith(ARG(1,indexBegin:indexEnd));
    index=index+1;
    indexBegin=indexBegin+step;
    indexEnd=indexEnd+step;
end